import { PeerId } from "@libp2p/interface";
import type { ServiceMap, NetworkConfig } from "../../interface.js";
export declare const defaultRelayServer = "/dns4/canvas-relay-server.fly.dev/tcp/443/wss/p2p/12D3KooWLR64DxxPcW1vA6uyC74RYHEsoHwJEmCJRavTihLYmBZN";
export declare const defaultTurnServer = "turn:canvas-turn-server.fly.dev:3478?transport=udp";
export declare const defaultStunServer = "stun:stun.l.google.com:19302";
export declare function getPeerId(topic?: string): Promise<PeerId>;
export declare function getLibp2p(config: NetworkConfig): Promise<import("libp2p").Libp2p<ServiceMap>>;
