import type { Libp2p, PeerId } from "@libp2p/interface";
import { Registry } from "prom-client";
import type { ServiceMap, NetworkConfig } from "../../interface.js";
export declare function getTopicDHTProtocol(topic?: string): string;
export declare function getPeerId(): Promise<PeerId>;
export declare function getLibp2p(config: NetworkConfig, options?: {
    registry?: Registry;
}): Promise<Libp2p<ServiceMap>>;
