export declare const MISSING_PARENT = "MISSING_PARENT";
export declare class SyncDeadlockError extends Error {
}
export declare class SyncTimeoutError extends Error {
}
export declare class SyncResourceError extends Error {
}
export declare const cborNull: Uint8Array;
export declare const topicPattern: RegExp;
/** Logarithmic clock decay */
export declare function getAncestorClocks(clock: number): Iterable<number>;
export declare function wait(interval: number, options: {
    signal: AbortSignal;
}): Promise<void>;
